const { api_conf_index } = require('./utils/api.js');
const { net } = require('./utils/net.js');

App({
  onLaunch: function () {
    this.loadConfIndex();
  },
  loadConfIndex() {
    let params = {};
    params.url = api_conf_index;
    net.req(params, true).then((res) => {
      if (res) {
        let { data } = res;
        if (data) {
          wx.setStorageSync('conf', data);
        }
      }
    }, (e) => { });
  }
})