Component({
  properties: {
    obj: {
      type: Object,
      value: {}
    },
    barcodeImgUrl: {
      type: String,
      value: 'https://discuz.hoolihome.com/defaults/barcode2.jpg'
    },
    type: {
      type: String,
      value: null
    },
    shareQR: {
      type: Boolean,
      value: false
    }
  },
  data: {
    dataArr: [],
    logoImgUrl: 'https://static.hoolihome.com/weapp/distributor/slogan.png'
  },
  methods: {
    getElementInfo: function () {
      const query = wx.createSelectorQuery().in(this);
      query.selectAll('.canvas-part').boundingClientRect((rects) => {
        rects.forEach((rect) => {
          let tmp = {
            elementId: rect.id,
            x: rect.left,
            y: rect.top,
            width: rect.width,
            height: rect.height,
            dataset: Object.assign({}, rect.dataset)
          };
          this.data.dataArr.push(tmp);
        });
        let pages = getCurrentPages();
        let curPage = pages[pages.length - 1];
        if (curPage && curPage.posterCallack) {
          curPage.posterCallack(this.data.dataArr, this.data.type);
        }
      }).exec();
    },
    photoLoaded: function (e) {
      this.getElementInfo();
    }
  },
  lifetimes: {
    ready: function () {
      // this.getElementInfo();
    }
  }
})