Page({
  data: {
    distributeArr: [{
      id: 1,
      name: '注册个人分销商',
      ename: 'Personal',
      icon: '../../imgs/personal_r.png'
    }, {
      id: 2,
      name: '注册企业分销商',
      ename: 'Enterprise',
      icon: '../../imgs/enterprise_r.png'
    }],
    shareToken: null
  },
  pageData: {

  },
  onLoad: function (options) {
    const { scene } = options;
    if (options && scene) {
      this.setData({
        shareToken: scene
      })
    } else if (options && options.shareToken) {
      this.setData({
        shareToken: options.shareToken
      })
    }

  },
  onReady: function () {
    wx.setNavigationBarTitle({
      title: '注册分销商'
    })
  },
  onShow: function () {

  },
  onHide: function () {

  },
  distributeHandle(e) {
    let {
      distributeType
    } = e.currentTarget.dataset
    let { shareToken } = this.data
    if (distributeType === 1) {
      wx.navigateTo({
        url: `/pages/registerperson/registerperson?shareToken=${shareToken}`
      })
    } else {
      wx.navigateTo({
        url: `/pages/registercompany/registercompany?shareToken=${shareToken}`
      })
    }
  }
})