/**
 * 接口地址api，
 * 接口文档链接：http://www.xiaoyaoji.cn/doc/IxnvWtmCX
 */
const cfg = require(`./config.js`);
const api = cfg.api();
const apis = {
  api_user_protocol: `${api}/distributor/distributor/protocol?t=wap`,
  api_conf_index: `${api}/common/conf/index`,
  api_user_verification: `${api}/common/user/verification`,
  api_country_prefix: `${api}/common/national-city/country-prefix`,
  api_mobile_login: `${api}/distributor/miniproject/user/login`,
  api_mobile_logout: `${api}/distributor/miniproject/user/logout`,
  api_wx_login: `${api}/distributor/miniproject/user/bind`,
  api_user_my_user: `${api}/distributor/miniproject/user/my-user`,
  api_user_register: `${api}/distributor/miniproject/user/register`,
  api_crm_add_chance: `${api}/distributor/miniproject/crm-customer/add-chance`,
  api_crm_intention: `${api}/distributor/miniproject/crm-customer/intention`,
  api_crm_degree_list: `${api}/distributor/miniproject/crm-customer/degree-list`,
  api_user_distributor: `${api}/distributor/miniproject/user/distributor`,
  api_crm_clue_list: `${api}/distributor/miniproject/crm-customer/clue-list`,
  api_crm_detail: `${api}/distributor/miniproject/crm-customer/clue-detail`,
  api_national_city: `${api}/common/national-city/get-real-all-city`,
  api_linkage_cities: `${api}/common/national-city/linkage-citys`,
  api_upload_file: `${api}/common/upload/files`,
  api_user_check: `${api}/distributor/miniproject/user/check`,
  api_chance_num: `${api}/distributor/miniproject/user/get-chance-num`,
  api_get_qrcode: `${api}/distributor/miniproject/user/get-qrcode`,
  api_update_photo: `${api}/distributor/miniproject/user/update-user`
};
module.exports = apis;